API ReferenceAssigned Board User
Updates the AssignedBoardUser resource
Updates the AssignedBoardUser resource
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
id*string
AssignedBoardUser identifier
The updated AssignedBoardUser resource
TypeScript Definitions
Use the request body type in TypeScript.
role?string
Value in
- "none"
- "leader-active"
Response Body
curl -X PATCH "https://example.com/project/assigned-board-users/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "board": "a98884d6-3c76-4114-ba9c-216527a5aac1", "role": "none"}